---
RUNNER_EXECUTOR: docker+machine
RUNNER_LIMIT: "{{ item.OSU_RUNNER_LIMIT }}"
MACHINE_DRIVER: openstack

# Perhaps some of this can be made into a common openstack file later

OS_AUTH_URL: "{{ lookup('env', 'OS_AUTH_URL') }}"
OS_APPLICATION_CREDENTIAL_ID: "{{ lookup('env', 'OS_APPLICATION_CREDENTIAL_ID') }}"
OS_APPLICATION_CREDENTIAL_SECRET: "{{ lookup('env', 'OS_APPLICATION_CREDENTIAL_SECRET') }}"
OS_AUTH_TYPE: v3applicationcredential
OS_IDENTITY_API_VERSION: "{{lookup('env', 'OS_IDENTITY_API_VERSION')}}"
OS_REGION_NAME: "{{lookup('env', 'OS_REGION_NAME')}}"
OS_INTERFACE: "{{lookup('env', 'OS_INTERFACE')}}"

# NOTE: changed
OS_DOMAIN_NAME: "{{ lookup('env', 'OS_USER_DOMAIN_NAME') }}"
OS_REGION_NAME: "{{ lookup('env', 'OS_REGION_NAME') }}"
# NOTE: tenant changed to project
OS_TENANT_NAME: "{{lookup('env', 'OS_PROJECT_NAME')}}"

# need to create it in openstack first
OS_NETWORK_NAME: "{{role_name}}-network"
# important, otherwise docker-machine can not talk to machines after create
# need to create the `domain` sec group in openstack first
# it allow gitlab-runner bastion instance to access executor instances
# created by docker-machine
OS_SECURITY_GROUPS: default,domain
OS_USER_DATA_FILE: "{{CONFIG_ROOT}}/userdata.sh"

OS_SSH_USER: ubuntu

OS_FLAVOR_NAME: "{{ item.OSU_FLAVOR_NAME }}"
OS_IMAGE_ID: "{{ item.OSU_IMAGE_ID }}"

# tenant was renamed to project, adapt
# use predefine same key later
# OS_PRIVATE_KEY_FILE
# OS_SECURITY_GROUPS
# OS_ACTIVE_TIMEOUT
# OS_CONFIG_DRIVE
